### Name: ecoNP
### Title: Fitting the Nonparametric Bayesian Model of Ecological Inference
###   in 2x2 Tables
### Aliases: ecoNP
### Keywords: models

### ** Examples


## load the registration data
data(reg)

## NOTE: convergence has not been properly assessed for the following
## example. See Imai and Lu (2004) for more complete examples.

## fit the nonparametric model to give in-sample predictions
## store the parameters to make population inference later
res <- ecoNP(Y ~ X, data = reg, n.draws = 500, param = TRUE, verbose = TRUE) 
##summarize the results
summary(res)

## obtain out-of-sample prediction
out <- predict(res, verbose=TRUE)
## summarize the results
summary(out)

## density plots of the out-of-sample predictions
par(mfrow=c(2,1))
plot(density(out[,1]), main="W1")
plot(density(out[,2]), main="W2")



